Subject: Re: [PATCH 3/8] net: ethernet: ti: am65-cpsw: Add mac control function

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 14 Sep 2022 16:53:12 +0100

On Wed, Sep 14, 2022 at 03:20:48PM +0530, Siddharth Vadapalli wrote:
> Add function am65_cpsw_nuss_mac_control() corresponding to the mac
> control register writes that are performed in the
> am65_cpsw_nuss_mac_link_up() function and use it in the
> am65_cpsw_nuss_mac_link_up() function. The newly added function will be
> used in am65_cpsw_nuss_mac_config() function in a future patch, thereby
> making it necessary to define a new function for the redundant mac control
> operations.

I think if you debug why you don't see mac_link_up called when in
fixed-link mode, you won't need this change.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!